Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Tue, 15 Oct 2019 16:44:32 +0000

Ron,

The USD flavour is used in any T.Encaps policy applied within the SR domain.

Cheers,
Pablo.

From: spring <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
Date: Tuesday, 15 October 2019 at 01:03
To: SPRING WG List <[email-masked]>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

Sorry, I meant to say USD, not USP.

                         Ron

Juniper Business Use Only
From: Ron Bonica
Sent: Monday, October 14, 2019 2:36 PM
To: SPRING WG List <[email-masked]>
Subject: draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

The USP flavor of the END, END.X and END.T functions isn’t needed.

USP is the default IPv6 behavior. So, if the source node specifies SID[0] as an RFC 4291 address on the SR egress node, you get the USP behavior for free.

                                                           Ron

Juniper Business Use Only

---

From: Ron Bonica <[email-masked]>
Date: Tue, 15 Oct 2019 23:59:49 +0000

Pablo,

You haven't answered my question.

Why specify a USD flavor of END, END.X and END.T when you can get the exact same behavior by populating SID[0] with an IPv6 address that identifies a real interface?

USD seems redundant.

                                        Ron

Juniper Business Use Only
From: Pablo Camarillo (pcamaril) <[email-masked]>
Sent: Tuesday, October 15, 2019 12:45 PM
To: Ron Bonica <[email-masked]>; SPRING WG List <[email-masked]>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Ron,

Cheers,
Pablo.

From: spring <[email-masked]<mailto:[email-masked]>> on behalf of Ron Bonica <rbonica=[email-masked]<mailto:rbonica=[email-masked]>>
Date: Tuesday, 15 October 2019 at 01:03
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

                         Ron

Juniper Business Use Only
From: Ron Bonica
Sent: Monday, October 14, 2019 2:36 PM
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

The USP flavor of the END, END.X and END.T functions isn't needed.

                                                           Ron

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Thu, 17 Oct 2019 09:44:48 +0000

Hi Ron,

Are you sure you get the same behavior with an interface address?

Can you please explain me how do you decapsulate and forward the inner -encapsulated- IPv6 packet on a link with a high IGP metric when the packet arrives with a DA=IPv6 interface address?

Thanks,
Pablo.

From: Ron Bonica <[email-masked]>
Date: Wednesday, 16 October 2019 at 01:59
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, SPRING WG List <[email-masked]>
Subject: RE: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Pablo,

You haven’t answered my question.

USD seems redundant.

                                        Ron

Ron,

Cheers,
Pablo.

Authors,

                         Ron

Authors,

                                                           Ron

---

From: Ron Bonica <[email-masked]>
Date: Thu, 17 Oct 2019 21:32:45 +0000

Pablo,

I see your point. An RFC 4291-style IPv6 address can replace END with USD, but it can't replaced END.X with USD.

                                                            Ron

Sent: Thursday, October 17, 2019 5:45 AM

Hi Ron,

Thanks,
Pablo.

From: Ron Bonica <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 16 October 2019 at 01:59
To: "Pablo Camarillo (pcamaril)" <[email-masked]<mailto:[email-masked]>>, SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: RE: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Pablo,

USD seems redundant.

                                        Ron

Juniper Business Use Only
From: Pablo Camarillo (pcamaril) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 15, 2019 12:45 PM
To: Ron Bonica <[email-masked]<mailto:[email-masked]>>; SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Ron,

Cheers,
Pablo.

Authors,

                         Ron

Authors,

                                                           Ron

---

From: "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>
Date: Fri, 18 Oct 2019 00:39:25 +0000

I think also including END.T which will select specific FIB,  and  the 4291-style IPv6 address may be in last SID entry in Last SRH of Packet, other SID may not be rfc429-style IPv6@;

--------------------------------------
Cheers !

WANG Weibin

From: spring <[email-masked]> On Behalf Of Ron Bonica
Sent: 2019年10月18日 5:33
To: Pablo Camarillo (pcamaril) <[email-masked]>; SPRING WG List <[email-masked]>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Pablo,

I see your point. An RFC 4291-style IPv6 address can replace END with USD, but it can’t replaced END.X with USD.

                                                            Ron

Hi Ron,

Thanks,
Pablo.

Pablo,

USD seems redundant.

                                        Ron

Ron,

Cheers,
Pablo.

Authors,

                         Ron

Authors,

                                                           Ron